Oolite Bulletins

For information and discussion about Oolite.
It is currently Wed Nov 22, 2017 1:54 am

All times are UTC




Post new topic  Reply to topic  [ 7 posts ] 
Author Message
PostPosted: Tue Aug 05, 2014 8:08 pm 
Offline
Average
Average

Joined: Thu Jun 19, 2014 8:59 pm
Posts: 11
Hi,

I am trying to upgrade from 1.77 to 1.80.

I have tried using the command oolite-upgrade but I get the message 'command not found'.

I have uninstalled my copy of Oolite 1.77, and downloaded the 1.80 installer from the http://www.oolite.org download page.

It is sitting in my downloads folder as oolite-1.80.linux-x86.tgz. I have extracted oolite-1.80.linux-x86.run from this and double clicked on it.

Nothing happens...

What am I missing here?

All help appreciated!

Roger


Top
   
PostPosted: Tue Aug 05, 2014 9:01 pm 
Offline
---- E L I T E ----
---- E L I T E ----
User avatar

Joined: Wed Aug 08, 2007 10:59 pm
Posts: 545
Location: Netherlands
the installer should be executed by bash, open a terminal and navigate to the folder you extracted the installer to.

then execute ./oolite-1.80.linux-x86.run

Note : you are aware you downloaded the 32-bits version ?
most pcs/laptops newer then 3/4 years run 64-bit linuxes.

_________________
OS : Arch Linux 64-bit - rolling release

OXPs : My user page

I am subscribed to the threads for my oxps, if you need my attention just post in them or send a pm.


Top
   
PostPosted: Tue Aug 05, 2014 9:14 pm 
Offline
Average
Average

Joined: Thu Jun 19, 2014 8:59 pm
Posts: 11
Hi Lone_Wolf,

Thanks, that worked a treat.

I am running the software on an old Dell laptop which is very much a 32 bit machine. One day I'll get something a little more up-to-date!!

Rog


Top
   
PostPosted: Wed Aug 06, 2014 9:22 am 
Offline
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral
User avatar

Joined: Tue Apr 01, 2008 12:55 pm
Posts: 848
Location: A small ice asteroid, orbiting Oresrati in Galaxy 8 (a.k.a. northwest Armorica).
Quote:
Hi,

I am trying to upgrade from 1.77 to 1.80.

I have tried using the command oolite-upgrade but I get the message 'command not found'.
Just for the record, the command is oolite-update. If you have Oolite installed system-wide, you can just execute it from a command prompt, no matter the path. If Oolite is installed in the user home, then you must define the location path too; ~/GNUstep/Applications/Oolite/oolite-update

_________________
Xubuntu 14.04LTS / Windows 7 Home Premium
Intel Core 2 Quad Q9450 2.66GHz - 6GB DDR2 - Palit GeForce GTX 750 Ti StormX Dual (2048MB DDR5)
"Any sufficiently advanced information is indistinguishable from noise." [Newman, Lachmann, Moore]


Top
   
PostPosted: Wed Aug 06, 2014 1:13 pm 
Offline
---- E L I T E ----
---- E L I T E ----
User avatar

Joined: Mon Apr 06, 2009 12:20 pm
Posts: 6241
Location: Aboard the Pitviper S.E. "Blackwidow"
Quote:
Just for the record, the command is oolite-update. If you have Oolite installed system-wide, you can just execute it from a command prompt, no matter the path. If Oolite is installed in the user home, then you must define the location path too; ~/GNUstep/Applications/Oolite/oolite-update
Hmm.. but wouldn't the change from terrastorage.dyndns.info to terrastorage.no-ip.info break the update even if the correct command was given? After all, there's no way for it to have been corrected once 1.77.1 was installed.

_________________
Most games have some sort of paddling-pool-and-water-wings beginning to ease you in: Oolite takes the rather more Darwinian approach of heaving you straight into the ocean, often with a brick or two in your pockets for luck. ~ Disembodied


Top
   
PostPosted: Wed Aug 06, 2014 3:59 pm 
Offline
Quite Grand Sub-Admiral
Quite Grand Sub-Admiral
User avatar

Joined: Tue Apr 01, 2008 12:55 pm
Posts: 848
Location: A small ice asteroid, orbiting Oresrati in Galaxy 8 (a.k.a. northwest Armorica).
No it wouldn't. :)
It would fail for terrastorage and then it would try with alioth server and upgrade from there.
(alioth had an issue with the 64bit linux updates, but I have contacted winston on the matter and this has been fixed)

Anyhow, for Oolite 1.80 I recommend a normal "clean" installation; at least the first time it is installed.

_________________
Xubuntu 14.04LTS / Windows 7 Home Premium
Intel Core 2 Quad Q9450 2.66GHz - 6GB DDR2 - Palit GeForce GTX 750 Ti StormX Dual (2048MB DDR5)
"Any sufficiently advanced information is indistinguishable from noise." [Newman, Lachmann, Moore]


Top
   
PostPosted: Thu Aug 07, 2014 6:51 am 
Offline
---- E L I T E ----
---- E L I T E ----
User avatar

Joined: Mon Apr 06, 2009 12:20 pm
Posts: 6241
Location: Aboard the Pitviper S.E. "Blackwidow"
Ahh.. alioth has been failing for so long for me I never even gave it a thought.. :lol:

_________________
Most games have some sort of paddling-pool-and-water-wings beginning to ease you in: Oolite takes the rather more Darwinian approach of heaving you straight into the ocean, often with a brick or two in your pockets for luck. ~ Disembodied


Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 7 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 4 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:
cron
Powered by phpBB® Forum Software © phpBB Limited